# Uses of Interface
org.eclipse.draw2d.FreeformListener

Packages that use FreeformListener
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of FreeformListener in org.eclipse.draw2d

Methods in org.eclipse.draw2d with parameters of type FreeformListener
Modifier and Type
Method
Description
`void`
FreeformFigure.`addFreeformListener(FreeformListener listener)`
Adds a FreeformListener to this FreeformFigure.
`void`
FreeformLayer.`addFreeformListener(FreeformListener listener)`
`void`
FreeformLayeredPane.`addFreeformListener(FreeformListener listener)`
`void`
FreeformFigure.`removeFreeformListener(FreeformListener listener)`
Removes the given listener from this FreeformFigure.
`void`
FreeformLayer.`removeFreeformListener(FreeformListener listener)`
`void`
FreeformLayeredPane.`removeFreeformListener(FreeformListener listener)`